export default defineAppConfig({
  entryPagePath: 'pages/home/index',
  pages: ['pages/home/index', 'pages/mine/index'],
  requiredPrivateInfos: ['getLocation'],
  permission: {
    'scope.userLocation': {
      desc: '你的位置信息将用于小程序数据的效果展示',
    },
  },
  window: {
    backgroundTextStyle: 'light',
    navigationBarBackgroundColor: '#ff6d33',
    navigationBarTitleText: 'WeChat',
    navigationBarTextStyle: 'black',
    backgroundColorTop: '#ff6d33',
    backgroundColor: '#f7f7f7',
    backgroundColorBottom: '#f7f7f7',
    navigationStyle: 'custom',
  },
  tabBar: {
    list: [
      {
        pagePath: 'pages/home/index',
        iconPath: 'assets/tabbar/icon-home.png',
        selectedIconPath: 'assets/tabbar/icon-home-active.png',
        text: '首页',
      },
      {
        pagePath: 'pages/mine/index',
        iconPath: 'assets/tabbar/icon-mine.png',
        selectedIconPath: 'assets/tabbar/icon-mine-active.png',
        text: '我的',
      },
    ],
    color: '#333',
    selectedColor: '#3a71ff',
    backgroundColor: '#fff',
    borderStyle: 'black',
    custom: true,
  },
  lazyCodeLoading: 'requiredComponents',
  subpackages: [
    {
      root: 'subpackages/login',
      pages: [
        'authorization/authorization',
        'userPolicy/userPolicy',
        'mineUserPolicy/mineUserPolicy',
        'privacyPolicy/privacyPolicy',
        'loginByForm/loginByForm',
        'registerForm/registerForm',
      ],
    },
    {
      root: 'subpackages/recharge',
      pages: [
        'phoneBillRecharge/phoneBillRecharge',
        'electricBillRecharge/electricBillRecharge',
        'selectPayType/selectPayType',
        'rechargeResult/rechargeResult',
      ],
    },
  ],
  // preloadRule: {
  //   'pages/mine/index': {
  //     network: 'all',
  //     packages: ['subpackages/setting', 'subpackages/message'],
  //   },
  // },
});
